Bug 459449 - [Qlogic 5.4] qla4xxx: Remove Dead/Unused code from driver
[Qlogic 5.4] qla4xxx: Remove Dead/Unused code from driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: rc
: 5.4
Assigned To: Marcus Barrow
Red Hat Kernel QE team
: OtherQA
Depends On:
Blocks: 460170 483701 483784
  Show dependency treegraph
 
Reported: 2008-08-18 20:40 EDT by David Somayajulu
Modified: 2009-09-03 09:48 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:28:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Remove Dead Code (3.93 KB, patch)
2008-08-18 20:40 EDT, David Somayajulu
no flags Details | Diff
More Dead Code Removal (3.23 KB, patch)
2009-04-24 02:07 EDT, Dave Wagner
no flags Details | Diff
consolidated patch (7.54 KB, patch)
2009-04-29 22:47 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description David Somayajulu 2008-08-18 20:40:12 EDT
Created attachment 314505 [details]
Remove Dead Code

Description of problem:
Remove Dead Code

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
This code has already from the upstream driver
Comment 1 Andrius Benokraitis 2008-08-19 10:55:16 EDT
Hi David, this is very late - Tom/Marcus, do you think this can go in post-Beta?
Comment 2 Marcus Barrow 2008-08-19 12:30:08 EDT

Sure this can go in port Beta.

A patch for code deletion should be easy to review and apply though. I'm sure we're happy either way and it shouldn't effect the testing much.
Comment 3 Andrius Benokraitis 2008-11-06 09:22:19 EST
Deferring to 5.4 per comments from QLogic. Not urgent.
Comment 4 RHEL Product and Program Management 2009-02-16 10:14:23 EST
Updating PM score.
Comment 5 Dave Wagner 2009-04-24 02:07:12 EDT
Created attachment 341100 [details]
More Dead Code Removal
Comment 6 Marcus Barrow 2009-04-29 22:47:22 EDT
Created attachment 341859 [details]
consolidated patch
Comment 9 Don Zickus 2009-06-18 10:50:47 EDT
in kernel-2.6.18-154.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 11 Chris Ward 2009-07-03 14:06:32 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 12 Chris Ward 2009-07-10 15:05:15 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 13 Marcus Barrow 2009-07-28 10:13:45 EDT
Verified the intended fix present in kernel-2.6.18-158.
Comment 14 Caspar Zhang 2009-07-28 23:26:04 EDT
Verified the patch to this bug is included in kernel-2.6.18-160.el5.
Comment 16 errata-xmlrpc 2009-09-02 04:28:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.